Author Topic: [help me] re-install bitshares not working. SSL: CERTIFICATE_VERIFY_FAILED  (Read 151 times)

0 Members and 1 Guest are viewing this topic.

Offline oddhome

Error
====================
[SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed (_ssl.c:645)
[SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed (_ssl.c:645)
Traceback (most recent call last):
  File "/usr/local/lib/python3.5/dist-packages/grapheneapi/api.py", line 76, in connect
    self.connection.connect()
  File "/usr/local/lib/python3.5/dist-packages/grapheneapi/websocket.py", line 32, in connect
    proxy_type = self.proxy_type
  File "/usr/local/lib/python3.5/dist-packages/websocket/_core.py", line 220, in connect
    options.pop('socket', None))
  File "/usr/local/lib/python3.5/dist-packages/websocket/_http.py", line 126, in connect
    sock = _ssl_socket(sock, options.sslopt, hostname)
  File "/usr/local/lib/python3.5/dist-packages/websocket/_http.py", line 253, in _ssl_socket
    sock = _wrap_sni_socket(sock, sslopt, hostname, check_hostname)
  File "/usr/local/lib/python3.5/dist-packages/websocket/_http.py", line 232, in _wrap_sni_socket
    server_hostname=hostname,
  File "/usr/lib/python3.5/ssl.py", line 377, in wrap_socket
    _context=self)
  File "/usr/lib/python3.5/ssl.py", line 752, in __init__
    self.do_handshake()
  File "/usr/lib/python3.5/ssl.py", line 988, in do_handshake
    self._sslobj.do_handshake()
  File "/usr/lib/python3.5/ssl.py", line 633, in do_handshake
    self._sslobj.do_handshake()
ssl.SSLError: [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed (_ssl.c:645)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/local/lib/python3.5/dist-packages/grapheneapi/api.py", line 76, in connect
    self.connection.connect()
  File "/usr/local/lib/python3.5/dist-packages/grapheneapi/websocket.py", line 32, in connect
    proxy_type = self.proxy_type
  File "/usr/local/lib/python3.5/dist-packages/websocket/_core.py", line 220, in connect
    options.pop('socket', None))
  File "/usr/local/lib/python3.5/dist-packages/websocket/_http.py", line 126, in connect
    sock = _ssl_socket(sock, options.sslopt, hostname)
  File "/usr/local/lib/python3.5/dist-packages/websocket/_http.py", line 253, in _ssl_socket
    sock = _wrap_sni_socket(sock, sslopt, hostname, check_hostname)
  File "/usr/local/lib/python3.5/dist-packages/websocket/_http.py", line 232, in _wrap_sni_socket
    server_hostname=hostname,
  File "/usr/lib/python3.5/ssl.py", line 377, in wrap_socket
    _context=self)
  File "/usr/lib/python3.5/ssl.py", line 752, in __init__
    self.do_handshake()
  File "/usr/lib/python3.5/ssl.py", line 988, in do_handshake
    self._sslobj.do_handshake()
  File "/usr/lib/python3.5/ssl.py", line 633, in do_handshake
    self._sslobj.do_handshake()
ssl.SSLError: [SSL: CERTIFICATE_VERIFY_FAILED] certificate verify failed (_ssl.c:645)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "bot_trade_cryptobridge.py", line 100, in <module>
    keys={"active": wif, "owner": wif, "memo": wif}
  File "/root/.local/lib/python3.5/site-packages/bitshares-0.2.1-py3.5.egg/bitshares/bitshares.py", line 148, in __init__
  File "/root/.local/lib/python3.5/site-packages/bitshares-0.2.1-py3.5.egg/bitshares/bitshares.py", line 181, in connect
  File "/usr/local/lib/python3.5/dist-packages/grapheneapi/api.py", line 46, in __init__
    self.connect()
  File "/usr/local/lib/python3.5/dist-packages/grapheneapi/api.py", line 80, in connect
    self.next()
  File "/usr/local/lib/python3.5/dist-packages/grapheneapi/api.py", line 136, in next
    self.connect()
  File "/usr/local/lib/python3.5/dist-packages/grapheneapi/api.py", line 80, in connect
    self.next()
  File "/usr/local/lib/python3.5/dist-packages/grapheneapi/api.py", line 135, in next
    self.url = self.find_next()
  File "/usr/local/lib/python3.5/dist-packages/grapheneapi/api.py", line 116, in find_next
    raise NumRetriesReached
grapheneapi.exceptions.NumRetriesReached

Offline xeroc

  • Board Moderator
  • Hero Member
  • *****
  • Posts: 12722
  • ChainSquad GmbH
    • View Profile
    • ChainSquad GmbH
  • BitShares: xeroc
  • GitHub: xeroc
Re: [help me] re-install bitshares not working. SSL: CERTIFICATE_VERIFY_FAILED
« Reply #1 on: November 26, 2018, 12:12:31 pm »
pick another API endpoint!
Also make sure you have ca-certificates installed iin your system
Give BitShares a try! Use the http://testnet.bitshares.eu provided by http://bitshares.eu powered by ChainSquad GmbH